<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::hash_table_kernel_c&lt; ht_base &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1hash__table__kernel__c.html">hash_table_kernel_c</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="classdlib_1_1hash__table__kernel__c-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::hash_table_kernel_c&lt; ht_base &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::hash_table_kernel_c&lt; ht_base &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1hash__table__kernel__c.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1e5d1a0684ee27e5f7d415f38f433736"><td class="memItemLeft" align="right" valign="top"><a id="a1e5d1a0684ee27e5f7d415f38f433736"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>hash_table_kernel_c</b> (unsigned long expnum)</td></tr>
<tr class="separator:a1e5d1a0684ee27e5f7d415f38f433736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5bfb8453723958451a38134695fcf52"><td class="memItemLeft" align="right" valign="top"><a id="ad5bfb8453723958451a38134695fcf52"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove</b> (const domain &amp;d, domain &amp;d_copy, range &amp;r)</td></tr>
<tr class="separator:ad5bfb8453723958451a38134695fcf52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae78e00d302eb3288952852bc3c78cc0c"><td class="memItemLeft" align="right" valign="top"><a id="ae78e00d302eb3288952852bc3c78cc0c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_any</b> (domain &amp;d, range &amp;r)</td></tr>
<tr class="separator:ae78e00d302eb3288952852bc3c78cc0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a783abbe0be92f7cbbf2a0029cf5c1751"><td class="memItemLeft" align="right" valign="top"><a id="a783abbe0be92f7cbbf2a0029cf5c1751"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add</b> (domain &amp;d, range &amp;r)</td></tr>
<tr class="separator:a783abbe0be92f7cbbf2a0029cf5c1751"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c79003a4dfe81c84e7a8151c38bbdaf"><td class="memItemLeft" align="right" valign="top"><a id="a3c79003a4dfe81c84e7a8151c38bbdaf"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>destroy</b> (const domain &amp;d)</td></tr>
<tr class="separator:a3c79003a4dfe81c84e7a8151c38bbdaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c3786884436a988a23729c539234f3"><td class="memItemLeft" align="right" valign="top"><a id="a44c3786884436a988a23729c539234f3"></a>
const <a class="el" href="classdlib_1_1map__pair.html">map_pair</a>&lt; domain, range &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>element</b> () const</td></tr>
<tr class="separator:a44c3786884436a988a23729c539234f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a222b34fa34973ebb7419d29d1139ce71"><td class="memItemLeft" align="right" valign="top"><a id="a222b34fa34973ebb7419d29d1139ce71"></a>
<a class="el" href="classdlib_1_1map__pair.html">map_pair</a>&lt; domain, range &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>element</b> ()</td></tr>
<tr class="separator:a222b34fa34973ebb7419d29d1139ce71"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a9057f5ff0a4e5cdcd60f4b441d68062f"><td class="memItemLeft" align="right" valign="top"><a id="a9057f5ff0a4e5cdcd60f4b441d68062f"></a>
typedef ht_base::domain_type&#160;</td><td class="memItemRight" valign="bottom"><b>domain</b></td></tr>
<tr class="separator:a9057f5ff0a4e5cdcd60f4b441d68062f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b76cdf708473199dd27de50850d2b52"><td class="memItemLeft" align="right" valign="top"><a id="a2b76cdf708473199dd27de50850d2b52"></a>
typedef ht_base::range_type&#160;</td><td class="memItemRight" valign="bottom"><b>range</b></td></tr>
<tr class="separator:a2b76cdf708473199dd27de50850d2b52"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="hash__table__kernel__c_8h_source.html">hash_table_kernel_c.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
